Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227812 - Installing FV RHEL4 U3 is very slow
Summary: Installing FV RHEL4 U3 is very slow
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steven Rostedt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 11:55 UTC by Matthew Booth
Modified: 2008-10-15 06:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-15 06:50:13 UTC


Attachments (Terms of Use)

Description Matthew Booth 2007-02-08 11:55:20 UTC
Description of problem:
I have performed several FV installations of RHEL4 U3 on first RHEL5 Beta 2 and
then RHEL5 RC1. The behaviour is the same for both releases. My setup is:

Host:  Lenovo X60s laptop, 1G RAM
       dummy network driver
Guest: 5G LV backed physical volume
       512M RAM
       Text mode install
       Installation tree NFS mounted from host

A 'minimal' installation of RHEL4 U3 takes approximately 3 hours to complete.
Minimal is defined as an interactive installation with all package groups
deselected.

With the exact same setup, an installation of RHEL3 U5 takes about 15 minutes.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-8.el5.i686
xen-3.0.3-22.el5.i386
virt-manager-0.3.0-1.i386

How reproducible:
Always

Steps to Reproduce:
1. Create 5G lv
2. Using virt-manager, create FV guest using lv and 512M RAM
3. Boot from iso image on local HD
4. boot: linux text
5. Configure networking to host only (no gateway, dns, etc)
6. Specify NFS installation tree on host
7. Use default LVM partitioning
8. Deselect all package groups
  
Actual results:
3 hrs

Expected results:
15 minutes or so (similar to RHEL3 U5 with same setup)

Comment 2 Chris Lalancette 2008-10-14 17:09:06 UTC
I just tried this out with RHEL-5.3 beta bits, and everything installed as expected; it took about 10 minutes for the install to finish.  Can you confirm that this is consistent with your experience with 5.2 or 5.3 bits, and then we can close this out?

Thanks,
Chris Lalancette

Comment 3 Matthew Booth 2008-10-14 20:37:00 UTC
Thanks for getting around to this, Chris. This is no longer an issue for me, and I don't have cycles to try to reproduce. If this works for you, please close it.

Comment 4 Chris Lalancette 2008-10-15 06:50:13 UTC
OK, sure, no problem.  If it ever does become an issue, obviously open up a new bug.  I'll close this as CURRENTRELEASE for now.

Thanks,
Chris Lalancette


Note You need to log in before you can comment on or make changes to this bug.